package com.zksy.info.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zksy.info.domain.EEnterpriseInfo;
import com.zksy.info.service.EEnterpriseInfoService;
import com.zksy.info.mapper.EEnterpriseInfoMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【e_enterprise_info(企业基本信息表)】的数据库操作Service实现
* @createDate 2025-06-26 11:17:01
*/
@Service
public class EEnterpriseInfoServiceImpl extends ServiceImpl<EEnterpriseInfoMapper, EEnterpriseInfo>
    implements EEnterpriseInfoService{

    @Override
    public Page<EEnterpriseInfo> findByPage(long pageNum, long pageSize, String enterpriseName) {
        Page<EEnterpriseInfo> page = new Page<>(pageNum,pageSize);
        QueryWrapper<EEnterpriseInfo> queryWrapper = new QueryWrapper();
        queryWrapper.like("enterprise_name",enterpriseName);
        queryWrapper.orderByDesc("update_time");
        Page<EEnterpriseInfo> page1 = this.page(page, queryWrapper);
        return page1;
    }

    @Override
    public List<EEnterpriseInfo> getEnterpriseInfoList(String enterpriseName) {
        LambdaQueryWrapper<EEnterpriseInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.like(enterpriseName != null,EEnterpriseInfo::getEnterpriseName,enterpriseName);
        lambdaQueryWrapper.orderByDesc(EEnterpriseInfo::getUpdateTime);
        List<EEnterpriseInfo> list = this.list(lambdaQueryWrapper);
        return list;
    }
}




